Package com.orbbec.obsensor

## Class CameraParamList

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.CameraParamList

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class CameraParamList
    extends LobClass

Camera parameter list

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` resource release
`CameraParam` `getCameraParam​(int index)` Obtain camera parameters according to the specified index in the camera parameter list
`int` `getCameraParamCount()` Get the number of camera parameters

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCameraParamCount

    public int getCameraParamCount()

Get the number of camera parameters

Returns:
  The number of camera parameters

#### getCameraParam

    public CameraParam getCameraParam​(int index)

Obtain camera parameters according to the specified index in the camera parameter list

Parameters:
  `index` - index value
Returns:
  Camera parameter

#### close

    public void close()

resource release